Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access
Class MutableFilter

    java.lang.Object
      com.beanexplorer.beans.Option
          ru.biosoft.access.MutableFilter

All Implemented Interfaces:
  Filter

Direct Known Subclasses:
  ArrayPropertyValueFilter, CompositeFilter, PatternFilter, PropertyValueFilter

public abstract class MutableFilter
extends com.beanexplorer.beans.Option
implements Filter

`MutableFilter` is a filter whose selection condition can be changed in runtime. This class provides skeleton for mutable filter with one changeable option `enabled`.

Nested Class Summary

Nested classes inherited from class ru.biosoft.access.Filter
`Filter.IncludeAllFilter, Filter.IncludeNoneFilter`

Field Summary

Fields inherited from class com.beanexplorer.beans.Option
`notificationEnabled, propagationEnabled`

Fields inherited from interface ru.biosoft.access.Filter
`INCLUDE_ALL_FILTER, INCLUDE_NONE_FILTER`

Constructor Summary
`MutableFilter()`
`MutableFilter(com.beanexplorer.beans.Option parent)`

Method Summary
`boolean` | `isEnabled()` Indicates whether a filter should be used.
`void` | `setEnabled(boolean enabled)`

Methods inherited from class com.beanexplorer.beans.Option
`addPropertyChangeListener, copyListenersTo, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getParent, isNotificationEnabled, isPropagationEnabled, removePropertyChangeListener, setNotificationEnabled, setParent, setPropagationEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface ru.biosoft.access.Filter
`isAcceptable`

Constructor Detail

### MutableFilter

    public MutableFilter()

### MutableFilter

    public MutableFilter(com.beanexplorer.beans.Option parent)

Method Detail

### isEnabled

    public boolean isEnabled()

  Description copied from interface: `Filter`
  Indicates whether a filter should be used.

  Specified by:
    `isEnabled` in interface `Filter`

### setEnabled

    public void setEnabled(boolean enabled)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.